image: docker:latest

stages:
  - soc2
  - total
  - bar-chart
  - test

include:
  - template: Jobs/SAST.gitlab-ci.yml
  - template: Jobs/Secret-Detection.gitlab-ci.yml
  - project: '$CI_PROJECT_PATH'
    file: '$CI_CONFIG_PATH'
    ref: '$CI_COMMIT_SHA'
    rules:
      - if: $CI_PROJECT_PATH != "tech-marketing/compliance-framework-example/compliance-configurations"

soc2_compliance_check:
  stage: soc2
  script:
    - echo "SOC2 compliance framework is active"
